Bug 460557 - echoping : Package and software are in a desolate state
echoping : Package and software are in a desolate state
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: echoping (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks: 1007031
  Show dependency treegraph
 
Reported: 2008-08-28 11:58 EDT by Michael Schwendt
Modified: 2015-04-21 15:19 EDT (History)
5 users (show)

See Also:
Fixed In Version: echoping-6.1-0.1.beta.r434svn.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-10 03:28:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2008-08-28 11:58:50 EDT
1) The plugin packages don't work. echoping overwrites the
plugin name arg and then tries to load ".so". That results in
a fatal error message. Search for 

  sprintf(plugin_name, "%s.so", plugin_name);

in the echoping.c source. Watch out for other unsafe sprintf
calls, some where snprintf ought to be used.

2) The directory %{_libdir}/echoping/  is not included in the
main package.

3) The plugin packages must include *.so* and NOT *.so.*

4) Segfaults in the plugins (whois and dns at least) related to
parsing args.
Comment 1 Bug Zapper 2008-11-25 21:53:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-11-18 03:19:22 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 01:20:43 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Michael Schwendt 2009-12-18 02:28:02 EST
Package is unchanged except for rebuilds by releng and the openssl maintainer.
Comment 5 Bug Zapper 2010-03-15 08:05:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-02 14:27:44 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 10:00:29 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Michael Schwendt 2011-06-27 10:09:36 EDT
Package is unchanged except for rebuilds by releng and the openssl maintainer.
Comment 9 Fedora End Of Life 2013-04-03 15:51:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 10 Fedora End Of Life 2015-01-09 16:37:12 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Michael Schwendt 2015-01-10 07:07:06 EST
Originally reported about Fedora 10.
Comment 12 Michael Schwendt 2015-01-16 02:09:14 EST
*** Bug 1032547 has been marked as a duplicate of this bug. ***
Comment 13 Fedora Update System 2015-02-25 10:41:02 EST
echoping-6.1-0.beta.r434svn.1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/echoping-6.1-0.beta.r434svn.1.fc22
Comment 14 Fedora Update System 2015-02-25 10:41:45 EST
echoping-6.1-0.beta.r434svn.1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/echoping-6.1-0.beta.r434svn.1.fc21
Comment 15 Fedora Update System 2015-02-25 10:42:16 EST
echoping-6.1-0.beta.r434svn.1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/echoping-6.1-0.beta.r434svn.1.fc20
Comment 16 Fedora Update System 2015-02-26 00:54:47 EST
Package echoping-6.1-0.beta.r434svn.1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing echoping-6.1-0.beta.r434svn.1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2584/echoping-6.1-0.beta.r434svn.1.fc21
then log in and leave karma (feedback).
Comment 17 Michael Schwendt 2015-02-26 06:10:04 EST
Thanks for the sign of life, but the packaging does not follow the modern guidelines. Specifically:


> Release:       0.beta.r%{svn_rel}svn.1%{?dist}

https://fedoraproject.org/wiki/Packaging:Guidelines#Version_and_Release
https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages
https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages


> Requires:      %{name} = %{version}-%{release}

https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package


> %install
> rm -rf %{buildroot}

https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag


> %clean
> rm -rf %{buildroot}

https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean


> %defattr(-, root, root, -)

https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions


> %doc AUTHORS COPYING ChangeLog README TODO DETAILS

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
Comment 18 Andreas Thienemann 2015-02-26 09:28:24 EST
Thanks for the hints about the updated packaging guidelines.
New package 6.1-0.beta.r434svn.1 has been built which should fix these.
Comment 19 Fedora Update System 2015-02-26 09:50:10 EST
echoping-6.1-0.1.beta.r434svn.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/echoping-6.1-0.1.beta.r434svn.fc22
Comment 20 Fedora Update System 2015-02-26 12:41:52 EST
Package echoping-6.1-0.1.beta.r434svn.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing echoping-6.1-0.1.beta.r434svn.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2638/echoping-6.1-0.1.beta.r434svn.fc22
then log in and leave karma (feedback).
Comment 21 Fedora Update System 2015-04-10 03:28:46 EDT
echoping-6.1-0.beta.r434svn.1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2015-04-10 03:29:02 EDT
echoping-6.1-0.beta.r434svn.1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-04-21 15:19:45 EDT
echoping-6.1-0.1.beta.r434svn.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.